# Uses of Interface
org.opensaml.xmlsec.SignatureSigningParametersResolver

Packages that use SignatureSigningParametersResolver
Package
Description
org.opensaml.saml.common.binding.impl
Implementation of SAML binding-level functionality, such as MessageHandlers.
org.opensaml.saml.common.profile.impl
Actions and classes common to both SAML versions.
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.

## Uses of SignatureSigningParametersResolver in org.opensaml.saml.common.binding.impl

Fields in org.opensaml.saml.common.binding.impl declared as SignatureSigningParametersResolver
Modifier and Type
Field
Description
`private SignatureSigningParametersResolver`
PopulateSignatureSigningParametersHandler.`resolver`
Resolver for parameters to store into context.
Methods in org.opensaml.saml.common.binding.impl with parameters of type SignatureSigningParametersResolver
Modifier and Type
Method
Description
`void`
PopulateSignatureSigningParametersHandler.`setSignatureSigningParametersResolver(SignatureSigningParametersResolver newResolver)`
Set the resolver to use for the parameters to store into the context.

## Uses of SignatureSigningParametersResolver in org.opensaml.saml.common.profile.impl

Fields in org.opensaml.saml.common.profile.impl declared as SignatureSigningParametersResolver
Modifier and Type
Field
Description
`private SignatureSigningParametersResolver`
PopulateSignatureSigningParameters.`resolver`
Resolver for parameters to store into context.
Methods in org.opensaml.saml.common.profile.impl with parameters of type SignatureSigningParametersResolver
Modifier and Type
Method
Description
`void`
PopulateSignatureSigningParameters.`setSignatureSigningParametersResolver(SignatureSigningParametersResolver newResolver)`
Set the resolver to use for the parameters to store into the context.

## Uses of SignatureSigningParametersResolver in org.opensaml.saml.security.impl

Classes in org.opensaml.saml.security.impl that implement SignatureSigningParametersResolver
Modifier and Type
Class
Description
`class`
`SAMLMetadataSignatureSigningParametersResolver`
A specialization of `BasicSignatureSigningParametersResolver` which also supports input of SAML metadata, specifically the `SigningMethod` and `DigestMethod` extension elements.

## Uses of SignatureSigningParametersResolver in org.opensaml.xmlsec.impl

Classes in org.opensaml.xmlsec.impl that implement SignatureSigningParametersResolver
Modifier and Type
Class
Description
`class`
`BasicSignatureSigningParametersResolver`
Basic implementation of `SignatureSigningParametersResolver`.
`class`
`StaticSignatureSigningParametersResolver`
Resolve an instance of `SignatureSigningParameters` statically.